clear all, close all
% Experiment; prof. Prugoveki, exp podaci
%-----------------------------------------------------------------------
[No,BEx,IExp] = textread('C:\Users\Jurica\Desktop\KemijaVusak3\02112021\B78.ASC');
BExp=BEx/10.;
plot(BExp,IExp);
% Simulacija; Cu2+, S=1/2, I=3/2
%-----------------------------------------------------------------------

Exp.mwFreq =  9.703083;
Exp.Range = [230 430];
Exp.Temperature = 78;

Sys.S  = [1/2];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Sys.g = [2.0599 2.05459 2.1974];
%Sys.gStrain = [0.0936 0.0267 0.3346];
%Sys.lwpp = [0 3.951]; %prvo Gaussova pa onda Lorentzova u mT
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


Sys.Nucs = '63Cu';
Sys.A = [0 0 135.716];
Sys.g = [2.037476 2.08372 2.18427];
Sys.gStrain = [0.0304861 0.0547653 0.35731];
Sys.lwpp = [0 3.82632]; %prvo Gaussova pa onda Lorentzova u mT

[BSim1,Sim1] = pepper(Sys,Exp);

Vary.g = [0.000 0.000 0.000];
Vary.A = [0 0 0];
Vary.lwpp = [0 3.82632];
Vary.gStrain = [0.0 0.0 0.0];
esfit('pepper',IExp,Sys,Vary,Exp);

[BSim,Sim] = pepper(Sys,Exp);
% pogreska/

% Crtanje; experiment i simulacija
plot(BExp,IExp,'r',BSim,Sim*6.71e4-0.3,'b' ); 
%plot(BExp,IExp,'r',BSim,Sim*6.45e4-0.8,'b' ); 
xlabel('B (mT)');
legend('exp','sim1');
%------------------------------------------------------------------
% eksportiranje podataka, odvojeno polje i odvojen intenzitet
PoljeT = [BSim];
IntenzitetT = [Sim];
Polje = PoljeT.';
Intenzitet = IntenzitetT.';
save -ASCII C:\Users\Jurica\Desktop\KemijaVusak3\02112021\B78C1_H.dat Polje
save -ASCII C:\Users\Jurica\Desktop\KemijaVusak3\02112021\B78C1_I.dat Intenzitet


