clear all, close all
% Experiment; prof. Prugoveki, exp podaci
%-----------------------------------------------------------------------
[No,BEx,IExp] = textread('C:\Users\Jurica\Desktop\KemijaVusak3\02112021\BRTB.ASC');
BExp=BEx/10.;
plot(BExp,IExp);
% Simulacija; Cu2+, S=1/2, I=3/2
%-----------------------------------------------------------------------

Exp.mwFreq = 9.628092;
Exp.Range = [232.5 432.5];
Exp.Temperature = 293;

Sys.S  = [1/2];
Sys.Nucs = '63Cu';

%Sys.A = [0.1 0.42 5.026];
%Sys.g = [2.03657 2.08828 2.19474];
%Sys.gStrain = [0.0396 0.039 0.309];
%Sys.lwpp = [0 0.225751];

%Dobro%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Sys.A = [0 0 135.716];
Sys.g = [2.04826 2.08395 2.17627];
Sys.gStrain = [0.0368733 0.0402545 0.377797];
Sys.lwpp = [0 0.225756];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[BSim1,Sim1] = pepper(Sys,Exp);

Vary.A = [0 0 0];
Vary.g = [0.00 0.00 0.00];
Vary.lwpp = [0 0.225756];
Vary.gStrain = [0.0 0.0 0.0];
esfit('pepper',IExp,Sys,Vary,Exp);

[BSim,Sim] = pepper({Sys},Exp);
% pogreska/

% Crtanje; experiment i simulacija
%plot(BExp,IExp,'r',BSim,Sim*4.37e4-0.25,'b');
plot(BExp,IExp,'r',BSim,Sim*4.95e4-0.05,'b');
xlabel('B (mT)');
legend('exp','sim');
%------------------------------------------------------------------
% eksportiranje podataka, odvojeno polje i odvojen intenzitet
PoljeT = [BSim];
IntenzitetT = [Sim];
Polje = PoljeT.';
Intenzitet = IntenzitetT.';
save -ASCII C:\Users\Jurica\Desktop\KemijaVusak3\02112021\BRTC_H.dat Polje
save -ASCII C:\Users\Jurica\Desktop\KemijaVusak3\02112021\BRTC_I.dat Intenzitet